package cn.wise.sc.consume.business.api.baiying;

/**
 * 请求头
 *
 */
public class RequestHead{

	/**
	 * 百应分配给商户的openid
	 */
	private String openid;

	/**
	 * 仅支持JSON
	 */
	private String format = "JSON";

	/**
	 * 签名类型
	 */
	private String sign_type = "MD5";

	/**
	 * 请求参数的签名串
	 */
	private String sign;

	/**
	 * 客户端时间,yyyy-MM-dd HH:mm:ss
	 */
	private String time;

	/**
	 * 调用的接口版本，固定为：1.0
	 */
	private String version = "1.0";


	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}

	public String getSign_type() {
		return sign_type;
	}

	public void setSign_type(String sign_type) {
		this.sign_type = sign_type;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

}
