package cn.wise.sc.consume.business.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-07-31
 */
@Data
public class CouponAppListVO {

    private Long id;

    @ApiModelProperty("优惠券名称")
    private String couponName;

    @ApiModelProperty("企业表id")
    private Long enterpriseId;

    @ApiModelProperty("优惠券图片")
    private String couponLogo;

    @ApiModelProperty("状态（0禁用，1启用）")
    private Integer status;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("是否删除（0删除，1存在）")
    private Integer isDelete;

    @ApiModelProperty("备注")
    private String remark;

	@ApiModelProperty("企业名称")
    private String enterpriseName;

	@ApiModelProperty("优惠券数量")
	private Integer couponNum;

	@ApiModelProperty("领取状态：0未领取，1已领取，2已过期")
	private Integer isReceive;
}
